<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db2.TaskUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db2.TaskUser">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_name" property="createName" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_name" property="modifyName" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="task_id" property="taskId" />
        <result column="plan_id" property="planId" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="mobile" property="mobile" />
        <result column="status" property="status" />
        <result column="name" property="name" />
        <result column="no" property="no" />
        <result column="task_type" property="taskType" />
        <result column="send_time" property="sendTime" />
        <result column="confirm_time" property="confirmTime" />
        <result column="expire_type" property="expireType" />
        <result column="expire_time" property="expireTime" />
        <result column="finish_time" property="finishTime" />
        <result column="timing" property="timing" />
        <result column="task_position" property="taskPosition" />
        <result column="district_id" property="districtId" />
        <result column="pool_order" property="poolOrder" />
        <result column="group_order" property="groupOrder" />
        <result column="task_order" property="taskOrder" />
        <result column="upload_manage_user" property="uploadManageUser" />
        <result column="task_distributi_user" property="taskDistributiUser" />
        <result column="task_accept_user" property="taskAcceptUser" />
        <result column="content" property="content" />
        <result column="wage_hour" property="wageHour" />
        <result column="wage_id" property="wageId" />
        <result column="point" property="point" />
        <result column="report_manage_user" property="reportManageUser" />
        <result column="salary" property="salary" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_name, create_time, modify_id, modify_name, modify_time, soft_delete, task_id, plan_id, user_id, user_name, mobile, status, name, no, task_type, send_time, confirm_time, expire_type, expire_time, finish_time, timing, task_position, district_id, pool_order, group_order, task_order, upload_manage_user, task_distributi_user, task_accept_user, content, wage_hour, wage_id, point, report_manage_user, salary
    </sql>

</mapper>
